<div class="home">
<div class="home_slider_container">
      
      <div class="owl-carousel owl-theme home_slider">
        <div class="owl-item">
          <div class="home_slider_background" style="background-image:url('<%= asset_path "home_slider_1.jpg" %>');"></div>
          <div class="home_slider_content">
            <div class="container">
              <div class="row">
                <div class="col text-center">
                  <div class="home_slider_title">Are you? </div>
                  <div class="home_slider_subtitle"><%= link_to "Entreprenuer", listing_events_path('anthropreneur') %> or <%= link_to "Jobseeker", listing_events_path('job_seeker') %></div>
                  
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    </div>

<% if @events.present? %>
<div class="home_events" >
  <div class="container">
    <div class="row">
      <div class="col">
        <div class="section_title_container text-center">
          <h2 class="section_title">Upcoming events</h2>
        </div>
      </div>
    </div>
    <div class="row events_row">
    <!-- Event -->
      
        <% @events.each do |event| %>
          <div class="col-lg-4 event_col">
            <div class="event event_left">
              <div class="event_image" ><%= image_tag event.image_url %></div>
              <div class="event_body d-flex flex-row align-items-start justify-content-start">
                <div class="event_date">
                
                  <div class="d-flex flex-column align-items-center justify-content-center trans_200">
                    <div class="event_day trans_200"><%= event.event_date.strftime("%d") %>  </div>
                    <div class="event_month trans_200"><%= event.event_date.strftime("%b") %></div>
                  </div>
                </div>
                <div class="event_content">
                  <div class="event_title">
                    <h4><%= link_to event.name, details_event_path(event)%></h4>
                  </div>
                  <div class="event_info_container">
                  <div class="event_info"><span><%= event.reg_end_date.strftime("%d/%m/%y") %></span></div>
                    <% if !current_user || current_user.role != "staff" %>
                      <div class="event_info">
                        <% if current_user && UserEvent.where(user_id: current_user.id, event_id: event.id).present? %>

                          <span class="registered">Registered</span>
                        <% else %>
                          <% if event.reg_end_date >= Date.today %>
                          <%#= link_to "Register", register_event_path(event) %>
                          <%= link_to "Register", new_event_registration_path(event)   %>
                          <% else %>
                          Registration closed 
                          <% end %>
                        <% end %>
                      </div>
                    <% end %>
                    <div class="event_text">
                    <p><%= truncate(strip_tags(event.description), length: 250, seperator: ' ') %></p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        <% end %>
      
    </div>
  </div>
</div>
<% end %>



